# Gardener 🌱

This is a tool for making a weed.

weed
: short for "web feed"
: an rss-only blog

(All of the content is in the RSS feed. There is no web content.)

## About

This uses pandoc's `--template` flag to create an rss feed item.

See `feed.tmpl`.

## Motivation

RSS is dead, but we never stopped using it.

We are the necromancers who fill it with the foul mimicry of life.

## Requirements

- [pandoc](https://pandoc.org/)
- [casey/just](https://github.com/casey/just)
- [sharkdp/fd](https://github.com/sharkdp/fd)

## Getting Started

1. Edit the `vars` section at the top of the justfile

2. Edit the `author` tag in `feed.tmpl`. Or, as a learning exercise, change the contents of the tag to `$author$` and start including an "author" value in the front matter of all your markdown sources. See how that works?

3. Create a new markdown file in `/src`

4. Give it the following YAML metadata block

    ```
    ---
    title: 'title of my post'
    created_at: 'Mon, 24 Jan 2022 17:26:03 -0700'
    ---
    ```

    Note that values need to be quoted.

    Note further that the timestamp should in RFC 5532 format. (`date -R`)

5. Write the rest of your post

6. Run `just build` to assemble your xml

7. Edit the `up` recipe in the justfile so you can upload to your server.

8. If you're feeling swoopy, run `just all` to build and upload in one fell swoop.

## Acknowledgments

Thanks to the #basement crew for making such a lovely garden full of beautiful weeds <3
